24
Views
3
Comments
Solved
[Camera Plugin] Error when generating the app with MABS 7.0
Question
Forge component by OutSystems R&D
42
Published on 10 Dec 2020
Application Type
Mobile

Hi,

I use the Camera plugin in my app. A few months ago, I could generate app. Now I want to regenerate it because of an additional plug In (ScreenOrientation). The app doesn't work anymore. During the generation process this error is shown: 

I removed the Camera plugin and reinstalled and installed the 6.1.0 and 5.1.1 version. The error still occurs. Could you please help me out?

Best regards,

Matthieu de Graaf

Rank: #94
Solution

Hello Matthieu,

Hope you're doing well.

By default, if you generate your application using Service Studio (without changing any configurations in Service Center), the platform will always use latest available version of MABS.

In this case, as you can see, it is using MABS version 7.0 which is still a Beta version. Most likely, the latest version of Camera Plugin is not compactible with this new version of MABS. OutSystems will probably release a new version for this plugin very soon :)

So I suggest that you change your MABS version back to its previous one (version 6.3), which was probably the one that you were using before (since you were using the default selected version).


In order to do that, please go to Service Center -> Applications -> Your app -> Tab Distribute. Click in Configure (for the platform that you pretend, iOS or Android) and then you can change your MABS version (for that application).

Instead of selecting Always use the latest version available option, please select Specific version option:


After that, you just need to click in Save and Generate and it will automatically generate your build.

I just did it for a new app (using Camera Plugin) and it was successfully generated using version 6.3:

Hope that this helps you!


Kind regards,

Rui Barradas

Staff
Rank: #19291

Hello Matthieu, 

There is a version available of Camera Plugin (6.2.0) that stills under development, but it's compatible with MABS 7. With that being said you can follow the Rui's suggestion or you can install this new version of Camera plugin, both approaches will unlock you. 


Thanks, 

Vitor

Hi Rui and Victor,

Thanks for your swift reply. I changed the MABS version to 6.3 and everything works fine again.

Have a nice weekend,

Matthieu